> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/api-reference/readme.md).

# REST API Reference

The REST API Reference provides a comprehensive guide for developers looking to integrate seamlessly with 2Checkout's payment processing services. It offers detailed information on endpoints, request parameters, response structures, and authentication methods.&#x20;

By leveraging 2Checkout's REST API, vendors can efficiently implement payment gateways, manage transactions, and automate workflows, ensuring a faster time-to-market. The REST API enables developers to build robust, scalable integrations tailored to their specific needs, improving efficiency and enhancing the overall user experience.

<a href="https://openapi.gitbook.com/o/uOpE0pwQaikBOHcfkMgY/spec/2checkout.yaml" class="button primary" data-icon="arrow-up-right-from-square">Download the full OpenAPI spec</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.2checkout.com/api-reference/readme.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
